Subject: Re: [PATCH] Fix Tsi108 ethernet driver performance

From: Scott Wood <[email-masked]>
Date: Fri, 13 Jul 2007 15:28:59 -0500

Alexandre Bounine wrote:
> -/* If the RX ring has run out of memory, try periodically
> - * to allocate some more, as otherwise poll would never
> - * get called (apart from the initial end-of-queue condition).
> - *
> - * This is called once per second (by default) from the thread.
> +/* tsi108_check_rxring() is used to periodically check if the RX ring
> has
> + * pending frames that have not been reported by RX interrupt (due to
> interrupt
> + * moderation). It is called with CHECK_RX_INTERVAL timer interval.

Wouldn't this cause latencies of up to a second in responding to 
received packets?  I'd think that would be considered excessive.

And shouldn't NAPI be reducing the RX interrupt load anyway?

-Scott